import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface UserPendingPaymentAttributes {
  payment_session_id: string;
  user_id: string;
  payment_session_url?: string;
}

class UserPendingPayment
  extends Model<UserPendingPaymentAttributes>
  implements UserPendingPaymentAttributes
{
  declare payment_session_id: string;
  declare user_id: string;
  declare payment_session_url: string;
}

UserPendingPayment.init(
  {
    payment_session_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    user_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    payment_session_url: {
      type: DataTypes.STRING, // varchar(1000) needs to be set manually
      allowNull: true,
    },
  },
  {
    sequelize,
    modelName: "user_pending_payment",
    createdAt: "created_at",
    updatedAt: "updated_at",
  }
);

export default UserPendingPayment;
